Validator
Keywords: com.fg.xmleditor.Validator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Class Validator

    java.lang.Object
      com.fg.xmleditor.Validator

All Implemented Interfaces:
  Common

public class Validator
extends java.lang.Object
implements Common

A helper class which is created and used by `FXDocumentModelImpl`. Validator doesn't have to be instantiated and used by the user code directly.

Version:
  1.0
Author:
  Felix Golubov

Field Summary

Fields inherited from interface com.fg.xmleditor.Common
`APPINFO, EDITOR_CLASS, EDITOR_ID, EXPOSED, EXPOSED_FLAG, FALSE, ID, ID_FLAG, IDREF, IDREF_FLAG, MESSAGE, NAME, NODE_INFO, PARAM, SCHEMA_NS, TRUE`

Constructor Summary
`Validator()`

Method Summary
`void` | `afterAdding(FToggleNode node)`
`void` | `afterRemoval(FToggleNode node)`
`void` | `clear()`
`ListParams` | `getIDList()`
`java.lang.String` | `getValidityMessage(FToggleNode node, java.lang.Object value)`
`void` | `setNodeValue(FToggleNode node, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validator

    public Validator()

Method Detail

### clear

    public void clear()

### afterAdding

    public void afterAdding(FToggleNode node)

### afterRemoval

    public void afterRemoval(FToggleNode node)

### setNodeValue

    public void setNodeValue(FToggleNode node,
                             java.lang.Object newValue)

### getValidityMessage

    public java.lang.String getValidityMessage(FToggleNode node,
                                               java.lang.Object value)

### getIDList

    public ListParams getIDList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD